import ogr
import utils
from uesg import UESG

DBCONN='PG:dbname=flystest1 host=localhost user=flys password=flys port=5432'
PATH='/**/**/**/flys3-testdaten/Saar/Hydrologie/UeSG/Berechnung'


def getImporter():
    return UESG(DBCONN)


if __name__ == '__main__':
    shapes = utils.findShapefiles(PATH)
    print "Found %i Shapefiles" % len(shapes)

    types = {}
    importer = getImporter()

    for shpTuple in shapes:
        geomType = importer.walkOverShapes(shpTuple)
        try:
            num = types[geomType]
            types[geomType] = num+1
        except:
            types[geomType] = 1

    for key in types:
        print "%i x geometry type %s" % (types[key], key)

